<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.54
     from suifmath.texi on 28 April 1999 -->

<TITLE>The SUIFMATH Library - Vectors for Linear Algebra</TITLE>
<link href="suifmath_24.html" rel=Next>
<link href="suifmath_22.html" rel=Previous>
<link href="suifmath_toc.html" rel=ToC>

</HEAD>
<BODY>
<p>Go to the <A HREF="suifmath_1.html">first</A>, <A HREF="suifmath_22.html">previous</A>, <A HREF="suifmath_24.html">next</A>, <A HREF="suifmath_37.html">last</A> section, <A HREF="suifmath_toc.html">table of contents</A>.
<P><HR><P>


<H2><A NAME="SEC27" HREF="suifmath_toc.html#TOC27">Vectors for Linear Algebra</A></H2>

<P>
<A NAME="IDX451"></A>
<A NAME="IDX452"></A>
A <STRONG>vector</STRONG> with fractional elements is represented by the
<CODE>fract_vector</CODE> class.  Many of the operations available for the
<CODE>fract_vector</CODE> class are also implemented in the <CODE>integer_row</CODE>
class. See section <A HREF="suifmath_6.html#SEC6">A Single Row</A>.

</P>

<UL>
<LI><A HREF="suifmath_24.html#SEC28">Basic Vector Functions</A>: Standard vector functions
<LI><A HREF="suifmath_25.html#SEC29">Vector Math Operations</A>: Functions on vectors
<LI><A HREF="suifmath_26.html#SEC30">Vector Utilities</A>: General utilities for modifying matrices
</UL>

<P><HR><P>
<p>Go to the <A HREF="suifmath_1.html">first</A>, <A HREF="suifmath_22.html">previous</A>, <A HREF="suifmath_24.html">next</A>, <A HREF="suifmath_37.html">last</A> section, <A HREF="suifmath_toc.html">table of contents</A>.
</BODY>
</HTML>
